import React, {
  useState,
  useCallback,
  useEffect,
} from 'react';
import ReactDOM from 'react-dom';
import {scaleSqrt, max} from 'd3'
// import { csv, scaleTime, scaleLinear, max, timeFormat, extent } from 'd3';
import { useWorldAtlas } from './useWorldAtlas';
import { useCities } from './useCities';

import { Marks } from './Marks';
const json_url2 = 'https://unpkg.com/world-atlas@2.0.2/countries-50m.json'

const csv_url =
  'https://gist.githubusercontent.com/curran/0ac4077c7fc6390f5dd33bf5c06cb5ff/raw/605c54080c7a93a417a3cea93fd52e7550e76500/UN_Population_2019.csv';
console.log(json_url2)

const width = 960;
const height = 500;

const App = () => {
  const worldAtlas = useWorldAtlas();
  const cities = useCities();

  if (!worldAtlas || !cities) {
    return <pre>Loading...</pre>;
  }
  
  const sizeValue = d => d.population
  const maxRadius = 15
  const sizeScale = scaleSqrt()
  	.domain([0, max(cities, sizeValue)])
  	.range([0,maxRadius])

  return (
    <svg width={width} height={height}>
      <Marks
        worldAtlas={worldAtlas}
        cities={cities}
        sizeScale={sizeScale}
        sizeValue={sizeValue}
      />
    </svg>
  );
};

const rootElement = document.getElementById(
  'root'
);
ReactDOM.render(<App />, rootElement);
