import React, {
  useState,
  useEffect,
} from 'react';
import ReactDOM from 'react-dom';
import {json} from 'd3';
import {feature, mesh} from 'topojson';
const json_url = 'https://unpkg.com/world-atlas@2.0.2/countries-50m.json'
export const useWorldAtlas = () => {
  
	const [data, setData] = useState(null);

  useEffect(() => {
    json(json_url).then(topology => {
    const {countries, land} = topology.objects;
    setData({
      land: feature(topology,land),
    	interiors: mesh(topology, countries, (a, b) =>  a !== b)
     	});
    });
  }, []);
  return data
}